#
#  This is an alternative to pacman.conf to be used for chroot installations
#  where the /etc/pacman.d/mirrorlist-jobo doesn't exist yet
#  so the main sourceforge mirror is now included in this conf file.
#
# /etc/pacman.conf
#
# See the pacman.conf(5) manpage for option and repository directives
#
#
# GENERAL OPTIONS
#
[options]
# The following paths are commented out with their default values listed.
# If you wish to use different paths, uncomment and update the paths.
#RootDir     = /
#DBPath      = /var/lib/pacman/
#CacheDir    = /var/cache/pacman/pkg/
#LogFile     = /var/log/pacman.log
#GPGDir      = /etc/pacman.d/gnupg/
#HookDir     = /etc/pacman.d/hooks/
HoldPkg     = pacman glibc
#XferCommand = /usr/bin/curl -L -C - -f -o %o %u
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
#CleanMethod = KeepInstalled
Architecture = auto

# Pacman won't upgrade packages listed in IgnorePkg and members of IgnoreGroup
IgnorePkg   = systemd systemd-libs elogind libelogind

#IgnoreGroup =

#NoUpgrade   =
NoExtract   = usr/lib/libsystemd*.* usr/lib/systemd* etc/systemd*

# Misc options
#UseSyslog
Color
#NoProgressBar
CheckSpace
VerbosePkgLists
ParallelDownloads = 2
ILoveCandy

# By default, pacman accepts packages signed by keys that its local keyring
# trusts (see pacman-key and its man page), as well as unsigned packages.
# After you install all 3 keyrings you can switch Siglevel to Required for Obarun and Archlinux
# We have not begun signing packages yet, it will be done late in the beta phase
# We turn it to never for now to avoid pacman problems with properly installing keys.
SigLevel = Never
#LocalFileSigLevel = Optional
#RemoteFileSigLevel = Required

# NOTE: You must run `pacman-key --init` before first using pacman; the local
# keyring can then be populated with the keys of all official Joborun Obarun and Arch Linux
# packagers with `pacman-key --populate joborun obarun archlinux`.
# For joborun install joborun-keyring
# for obarun install obarun-keyring
# for arch-linux install archlinux-keyring
#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here
#   - local/custom mirrors can be added here or in separate files
#   - repositories listed first will take precedence when packages
#     have identical names, regardless of version number
#   - URLs will have $repo replaced by the name of the current repo
#   - URLs will have $arch replaced by the name of the architecture
#
# Repository entries are of the format:
#       [repo-name]
#       Server = ServerName
#       Include = IncludePath
#
# The header [repo-name] is crucial - it must be present and
# uncommented to enable the repo.
#
#
# The testing repositories are disabled by default. To enable, uncomment the
# repo name header and Include lines. You can add preferred servers immediately
# after the header, and they will be used before the default mirrors.

# If and when you build your own packages to replace our 
# repositories, if you follow the following scheme of storing
# packages ( /var/cache/{jobcore,jobextra,jobcomm} ) you can
# comment ours and uncomment your own.

[jobcore]
#Server = file:///var/cache/jobcore/
#Include = /etc/pacman.d/mirrorlist-jobo
Server = http://downloads.sourceforge.net/joborun/r

[jobextra]
#Server = file:///var/cache/jobextra/
#Include = /etc/pacman.d/mirrorlist-jobo
Server = http://downloads.sourceforge.net/joborun/r

[jobcomm]
#Server = file:///var/cache/jobcomm/
#Include = /etc/pacman.d/mirrorlist-jobo
Server = http://downloads.sourceforge.net/joborun/r

#[jobmine]
# ##  make your own repository and add what you build from OUR or AUR
#Server = file:///var/cache/jobmine/

####   Obarun begins here #######
####   Obarun must be using some slow server to check its keys
####   gpgme drops the effort after a few seconds and replies with
####   failure.  Obarun should first make strict rules on building
####   before implementing strict rules on downloading pkgs!

#[obcore-testing]
#Server = https://cloud.server.obarun.org/$repo/os/$arch/

[obcore]
Server = https://cloud.server.obarun.org/$repo/os/$arch/

#[obextra-testing]
#Server = https://cloud.server.obarun.org/$repo/os/$arch/

[obextra]
Server = https://cloud.server.obarun.org/$repo/os/$arch/

#[obcommunity-testing]
#Server = https://cloud.server.obarun.org/$repo/os/$arch/

[obcommunity]
Server = https://cloud.server.obarun.org/$repo/os/$arch/

#[observice-testing]
#Server = https://cloud.server.obarun.org/$repo/os/$arch/

[observice]
Server = https://cloud.server.obarun.org/$repo/os/$arch/

####   Arch begins here #######
# As we build testing pkgs as soon as they appear but we
# don't cover all of extra, testing should be enabled
# to cover combatibility with Arch's extra/testing pkgs
# community and community-testing no longer exist, all
# packages have been moved to extra or AUR

[core-testing]
SigLevel = DatabaseOptional
Include = /etc/pacman.d/mirrorlist

[core]
SigLevel = DatabaseOptional
Include = /etc/pacman.d/mirrorlist

[extra-testing]
SigLevel = DatabaseOptional
Include = /etc/pacman.d/mirrorlist

[extra]
SigLevel = DatabaseOptional
Include = /etc/pacman.d/mirrorlist

#[core-staging]
#SigLevel = DatabaseOptional
#Include = /etc/pacman.d/mirrorlist

#[extra-staging]
#SigLevel = DatabaseOptional
#Include = /etc/pacman.d/mirrorlist

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.
# But make a note that Joborun does not support or will build
# any 32-bit packages.  Expect breakage especially since
# the systemd late dependency of libgudev lib32-libgudev
# which joborun refuses the upgrade till eudev releases
# a newer version catching up to systemd

#[multilib-testing]
#SigLevel = DatabaseOptional
#Include = /etc/pacman.d/mirrorlist

#[multilib]
#SigLevel = DatabaseOptional
#Include = /etc/pacman.d/mirrorlist

####   Spark-Linux begins here #######

#[spark-testing]
#SigLevel = Never
##Include = /etc/pacman.d/mirrorlist-spark
#Server = https://mirror.fleshless.org/spark/$repo

#[spark]
#SigLevel = Never
##Include = /etc/pacman.d/mirrorlist-spark
#Server = https://mirror.fleshless.org/spark/$repo

#[spark-extra]
#SigLevel = Never
##Include = /etc/pacman.d/mirrorlist-spark
#Server = https://mirror.fleshless.org/spark/$repo

####   Artix begins here #######
####   Only to be used for browsing or downloading a runit service file with -Sdd
####   You install anything else from Artix with all their elogind dependencies
####   and you will break your system -- please don't ask us to fix it!
####   Artix is designed to use exclusively ONE init and service manager, not two!

#[gremlins]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/mirrorlist-artix
#Server = http://mirror1.artixlinux.org/repos/$repo/os/$arch

#[system]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/mirrorlist-artix
#Server = http://mirror1.artixlinux.org/repos/$repo/os/$arch

#[world]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/mirrorlist-artix
#Server = http://mirror1.artixlinux.org/repos/$repo/os/$arch

#[galaxy-gremlins]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/mirrorlist-artix
#Server = http://mirror1.artixlinux.org/repos/$repo/os/$arch

#[galaxy]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/mirrorlist-artix
#Server = http://mirror1.artixlinux.org/repos/$repo/os/$arch

# If you want to run 32 bit applications on your x86_64 system,
# enable the multilib repositories as required here.

#[lib32-gremlins]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/mirrorlist-artix
#Server = http://mirror1.artixlinux.org/repos/$repo/os/$arch

#[lib32]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/mirrorlist-artix
#Server = http://mirror1.artixlinux.org/repos/$repo/os/$arch

####   Archstrike and Blackarch begin here #######

#[archstrike-testing]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/archstrike-mirrorlist
#Server = https://mirror.archstrike.org/$arch/$repo

#[archstrike]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/archstrike-mirrorlist
#Server = https://mirror.archstrike.org/$arch/$repo

#[blackarch]
#SigLevel = Never
##SigLevel = DatabaseOptional
##Include = /etc/pacman.d/blackarch-mirrorlist
#Server = https://blackarch.org/blackarch/$repo/os/$arch

